#!/bin/sh
echo 'name: skein
version: 0.1.0.4
id: skein-0.1.0.4-d208bafb1373358b3cfd9d3ad19e9198

license: BSD3
copyright:
maintainer: Felipe Lessa <felipe.lessa@gmail.com>
stability:
homepage:
package-url:
description: Skein (<http://www.skein-hash.info/>) is a family of fast
             secure cryptographic hash functions designed by Niels
             Ferguson, Stefan Lucks, Bruce Schneier, Doug Whiting, Mihir
             Bellare, Tadayoshi Kohno, Jon Callas and Jesse Walker.
             .
             This package uses bindings to the optimized C implementation
             of Skein.  We provide a high-level interface (see module
             "Crypto.Skein") to some of the Skein use cases.  We also
             provide a low-level interface (see module
             "Crypto.Skein.Internal") should you need to use Skein in a
             different way.
             .
             Currently we have support for Skein as cryptographic hash
             function as Skein as a message authentication code
             (Skein-MAC).  For examples of how to use this package, see
             "Crypto.Skein" module documentation.
category: Cryptography
author: Felipe Lessa <felipe.lessa@gmail.com>, Doug Whiting
pkgpath: security/hs-skein
exposed: True
exposed-modules: Crypto.Skein Crypto.Skein.Internal
hidden-modules:
import-dirs: /usr/local/lib/ghc/skein-0.1.0.4
library-dirs: /usr/local/lib/ghc/skein-0.1.0.4
hs-libraries: HSskein-0.1.0.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes: skein.h
depends: base-4.3.1.0-ee15f259a627d341af7c80a17e8b0e66
         bytestring-0.9.1.10-4e62762ee9b2a5d0cc5bc2fbaaeefd53
         cereal-0.3.0.0-25883d7c37e4efd7c4c2505739809299
         crypto-api-0.8-43c4c4e96d2c0015b8cc766a3b046148
         tagged-0.2-b073b1397e3758a1ea33941d96025ee0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-skein-0.1.0.4/html/skein.haddock
haddock-html: /usr/local/share/doc/hs-skein-0.1.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
